Bug 4014 - "Work offline" doesn't seem to affect RSS
Summary: "Work offline" doesn't seem to affect RSS
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: Plugins/RSSyl (show other bugs)
Version: 3.16.0
Hardware: PC Linux
: P3 normal
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2018-04-20 18:44 CEST by George
Modified: 2018-07-15 10:43 CEST (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George 2018-04-20 18:44:40 CEST
STR:

1. Activate "Work offline"
2. Refresh RSS feeds

EXPECTED:
A message dialog should appear suggesting to go online or override for N minutes.

ACTUAL:
Feeds are refreshed.
Comment 1 George 2018-04-20 18:58:21 CEST
Actually "Work offline" seems to have no effect on IMAP either. I can click "Get Mail" successfully fetch mail even while "Work offline" is active.

The only thing which "Work offline" seems to do is to stop the automatic NOOP and automatic periodic mail fetching.

Perhaps this (imo buggy) behavior could be considered as an unexpected temporary "solution" to bug#4008.
Comment 2 George 2018-04-20 19:01:05 CEST
Correction: I am sorry, please ignore previous comment as it seems to be valid only in "override" mode.
Comment 3 Andrej Kacian 2018-06-06 09:46:11 CEST
You are right, we only check for offline mode in RSSyl in some cases where feed updates happen, not all of them. Notably in the function that handles periodic update in the background.
Comment 4 users 2018-07-15 10:27:04 CEST
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2018-07-15 10:27:03.887273769 +0200
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=46d68497c0ba3ffd09e633b26ed0fb98df220dee
Merge: 6bca3f1 04070b4
Author: Colin Leroy <colin@colino.net>
Date:   Sun Jul 15 10:27:02 2018 +0200

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=04070b4fc26cd48806bfcb1f0666f95923657a4f
Author: Andrej Kacian <ticho@claws-mail.org>
Date:   Sun Jul 15 10:25:42 2018 +0200

    RSSyl: add more missing checks for offline mode
    
    Closes bug #4014 - "Work offline" doesn't seem to affect RSS
Comment 5 Andrej Kacian 2018-07-15 10:27:56 CEST
There were two or three more places where the offline check was missing. Thanks for bringing this up.
Comment 6 George 2018-07-15 10:43:35 CEST
You are welcome.
Excellent work!